rxlev_stat.c File Reference
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <osmocom/core/bitvec.h>`
`#include <osmocom/gsm/rxlev_stat.h>`

## Functions

void | rxlev_stat_input (struct rxlev_stats *st, uint16_t arfcn, uint8_t rxlev)
int16_t | rxlev_stat_get_next (const struct rxlev_stats *st, uint8_t rxlev, int16_t arfcn)
void | rxlev_stat_reset (struct rxlev_stats *st)
void | rxlev_stat_dump (const struct rxlev_stats *st)

## Detailed Description

Rx Level statistics

## Function Documentation

## rxlev_stat_dump()

void rxlev_stat_dump | ( | const struct rxlev_stats * | st | ) |

References NUM_RXLEVS, and rxlev_stat_get_next().

## rxlev_stat_get_next()

int16_t rxlev_stat_get_next | ( | const struct rxlev_stats * | st,
|  | uint8_t | rxlev,
|  | int16_t | arfcn
| ) |  |

References NUM_ARFCNS, NUM_RXLEVS, and rxlev_stats::rxlev_buckets.

Referenced by rxlev_stat_dump().

## rxlev_stat_input()

void rxlev_stat_input | ( | struct rxlev_stats * | st,
|  | uint16_t | arfcn,
|  | uint8_t | rxlev
| ) |  |

References NUM_ARFCNS, NUM_RXLEVS, and rxlev_stats::rxlev_buckets.

## rxlev_stat_reset()

void rxlev_stat_reset | ( | struct rxlev_stats * | st | ) |